import { RunnerService, ScanService } from "@odit/lfk-client-node";
import { login } from "../shared/login.js";

const teamID = 263;
const orgID = -1;
const distanceMeter = 3000;

await login();

const runners = await RunnerService.runnerControllerGetAll();
console.log(`Loaded ${runners.length} runners.`);
let filteredRunners = [];

if (teamID !== -1) {
    filteredRunners = runners.filter((r) => r.group.id == teamID);
} else {
    filteredRunners = runners.filter((r) => r.group.id == orgID || r.group.parentGroup?.id == orgID);
}
console.log(`Filtered to ${filteredRunners.length} runners.`);

const scans = [];
for (const runner of filteredRunners) {
    scans.push(ScanService.scanControllerPost({ distance: distanceMeter, runner: runner.id, valid: true }))
}
await Promise.all(scans);
console.log(`Created ${scans.length} scans for ${filteredRunners.length} runners with distance ${distanceMeter} meters.`);